[master 1/1] Add kickstart tests to test btrfs installation

vojtechtrefny installerbot-noreply at redhat.com
Fri May 22 14:21:28 UTC 2015


From: Vojtech Trefny <vtrefny at redhat.com>

First test: simple installation
Second test: installation over multiple devices with RAID

Signed-off-by: Vojtech Trefny <vtrefny at redhat.com>
---
 tests/kickstart_tests/storage-btrfs-1.ks | 48 ++++++++++++++++++++++++++
 tests/kickstart_tests/storage-btrfs-1.sh | 48 ++++++++++++++++++++++++++
 tests/kickstart_tests/storage-btrfs-2.ks | 59 ++++++++++++++++++++++++++++++++
 tests/kickstart_tests/storage-btrfs-2.sh | 48 ++++++++++++++++++++++++++
 4 files changed, 203 insertions(+)
 create mode 100644 tests/kickstart_tests/storage-btrfs-1.ks
 create mode 100755 tests/kickstart_tests/storage-btrfs-1.sh
 create mode 100644 tests/kickstart_tests/storage-btrfs-2.ks
 create mode 100755 tests/kickstart_tests/storage-btrfs-2.sh

diff --git a/tests/kickstart_tests/storage-btrfs-1.ks b/tests/kickstart_tests/storage-btrfs-1.ks
new file mode 100644
index 0000000..e0fc37d
--- /dev/null
+++ b/tests/kickstart_tests/storage-btrfs-1.ks
@@ -0,0 +1,48 @@
+url --url=ftp://mirror.utexas.edu/pub/fedora/linux/development/$releasever/$basearch/os/
+install
+network --bootproto=dhcp
+
+bootloader --timeout=1
+zerombr
+clearpart --all
+
+part --fstype=ext4 --size=500 /boot
+part --fstype=swap --size=500 swap
+part btrfs.10 --fstype="btrfs" --size=4400
+
+btrfs none --label=fedora-btrfs btrfs.10
+
+btrfs / --subvol --name=root fedora-btrfs
+btrfs /home --subvol --name=home fedora-btrfs
+
+keyboard us
+lang en
+timezone America/New_York
+rootpw qweqwe
+#shutdown
+
+%packages
+ at core
+%end
+
+%post
+btrfs filesystem show fedora-btrfs
+if [[ $? != 0 ]]; then
+    echo "*** btrfs volume 'fedora-btrfs' was not found" >> /root/RESULT
+fi
+
+grep "\s/\s" /etc/fstab | grep "subvol=root"
+if [[ $? != 0 ]]; then
+    echo "*** root subvol is not mounted at /" >> /root/RESULT
+fi
+
+grep "\s/home\s" /etc/fstab | grep "subvol=home"
+if [[ $? != 0 ]]; then
+    echo "*** home subvol is not mounted at /home" >> /root/RESULT
+fi
+
+# No error was written to /root/RESULT file, everything is OK
+if [[ ! -e /root/RESULT ]]; then
+    echo SUCCESS > /root/RESULT
+fi
+%end
diff --git a/tests/kickstart_tests/storage-btrfs-1.sh b/tests/kickstart_tests/storage-btrfs-1.sh
new file mode 100755
index 0000000..e3ed01a
--- /dev/null
+++ b/tests/kickstart_tests/storage-btrfs-1.sh
@@ -0,0 +1,48 @@
+#
+# Copyright (C) 2014  Red Hat, Inc.
+#
+# This copyrighted material is made available to anyone wishing to use,
+# modify, copy, or redistribute it subject to the terms and conditions of
+# the GNU General Public License v.2, or (at your option) any later version.
+# This program is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY expressed or implied, including the implied warranties of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
+# Public License for more details.  You should have received a copy of the
+# GNU General Public License along with this program; if not, write to the
+# Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.  Any Red Hat trademarks that are incorporated in the
+# source code or documentation are not subject to the GNU General Public
+# License and may only be used or replicated with the express permission of
+# Red Hat, Inc.
+#
+# Red Hat Author(s): Chris Lumens <clumens at redhat.com>
+
+kernel_args() {
+    echo vnc
+}
+
+prepare() {
+    ks=$1
+    tmpdir=$2
+
+    echo ${ks}
+}
+
+validate() {
+    img=$1
+
+    # There should be a /root/RESULT file with results in it.  Check
+    # its contents and decide whether the test finally succeeded or
+    # not.
+    result=$(virt-cat -a ${img} -m /dev/sda2 /root/RESULT)
+    if [[ $? != 0 ]]; then
+        status=1
+        echo '*** /root/RESULT does not exist in VM image.'
+    elif [[ "${result}" != "SUCCESS" ]]; then
+        status=1
+        echo "${result}"
+    fi
+
+    return ${status}
+}
+
diff --git a/tests/kickstart_tests/storage-btrfs-2.ks b/tests/kickstart_tests/storage-btrfs-2.ks
new file mode 100644
index 0000000..ef2eb2e
--- /dev/null
+++ b/tests/kickstart_tests/storage-btrfs-2.ks
@@ -0,0 +1,59 @@
+url --url=ftp://mirror.utexas.edu/pub/fedora/linux/development/$releasever/$basearch/os/
+install
+network --bootproto=dhcp
+
+bootloader --timeout=1
+zerombr
+clearpart --all
+
+part --fstype=ext4 --size=500 /boot
+part --fstype=swap --size=500 swap
+part btrfs.10 --fstype="btrfs" --size=2200
+part btrfs.12 --fstype="btrfs" --size=2200
+
+btrfs none --data=raid0 --metadata=raid1 --label=fedora-btrfs btrfs.10 btrfs.12
+
+btrfs / --subvol --name=root fedora-btrfs
+btrfs /home --subvol --name=home fedora-btrfs
+
+keyboard us
+lang en
+timezone America/New_York
+rootpw qweqwe
+#shutdown
+
+%packages
+ at core
+%end
+
+%post
+btrfs filesystem show fedora-btrfs
+if [[ $? != 0 ]]; then
+    echo "*** btrfs volume 'fedora-btrfs' was not found" >> /root/RESULT
+fi
+
+btrfs fi df / | grep "Data,\sRAID0"
+if [[ $? != 0 ]]; then
+    echo "*** btrfs volume data RAID level is not RAID0" >> /root/RESULT
+fi
+
+btrfs fi df / | grep "Metadata,\sRAID1"
+if [[ $? != 0 ]]; then
+    echo "*** btrfs volume metadata RAID level is not RAID1" >> /root/RESULT
+fi
+
+grep "\s/\s" /etc/fstab | grep "subvol=root"
+if [[ $? != 0 ]]; then
+    echo "*** root subvol is not mounted at /" >> /root/RESULT
+fi
+
+grep "\s/home\s" /etc/fstab | grep "subvol=home"
+if [[ $? != 0 ]]; then
+    echo "*** home subvol is not mounted at /home" >> /root/RESULT
+fi
+
+# No error was written to /root/RESULT file, everything is OK
+if [[ ! -e /root/RESULT ]]; then
+    echo SUCCESS > /root/RESULT
+fi
+%end
diff --git a/tests/kickstart_tests/storage-btrfs-2.sh b/tests/kickstart_tests/storage-btrfs-2.sh
new file mode 100755
index 0000000..e3ed01a
--- /dev/null
+++ b/tests/kickstart_tests/storage-btrfs-2.sh
@@ -0,0 +1,48 @@
+#
+# Copyright (C) 2014  Red Hat, Inc.
+#
+# This copyrighted material is made available to anyone wishing to use,
+# modify, copy, or redistribute it subject to the terms and conditions of
+# the GNU General Public License v.2, or (at your option) any later version.
+# This program is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY expressed or implied, including the implied warranties of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
+# Public License for more details.  You should have received a copy of the
+# GNU General Public License along with this program; if not, write to the
+# Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.  Any Red Hat trademarks that are incorporated in the
+# source code or documentation are not subject to the GNU General Public
+# License and may only be used or replicated with the express permission of
+# Red Hat, Inc.
+#
+# Red Hat Author(s): Chris Lumens <clumens at redhat.com>
+
+kernel_args() {
+    echo vnc
+}
+
+prepare() {
+    ks=$1
+    tmpdir=$2
+
+    echo ${ks}
+}
+
+validate() {
+    img=$1
+
+    # There should be a /root/RESULT file with results in it.  Check
+    # its contents and decide whether the test finally succeeded or
+    # not.
+    result=$(virt-cat -a ${img} -m /dev/sda2 /root/RESULT)
+    if [[ $? != 0 ]]; then
+        status=1
+        echo '*** /root/RESULT does not exist in VM image.'
+    elif [[ "${result}" != "SUCCESS" ]]; then
+        status=1
+        echo "${result}"
+    fi
+
+    return ${status}
+}
+


-- 
To view this commit on github, visit https://github.com/rhinstaller/anaconda/commit/c62f4da7158019141fe21dd3122528e7d7861592


More information about the anaconda-patches mailing list